Acknowledge financial posting
curl --request POST \
--url https://prod01.oms.fabric.inc/api/v2/invoice/post/acknowledge \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-site-context: <x-site-context>' \
--data '
{
"invoiceId": "123ab",
"acknowledgedAt": "2022-08-01T20:03:28.483971941Z",
"attributes": {}
}
'import requests
url = "https://prod01.oms.fabric.inc/api/v2/invoice/post/acknowledge"
payload = {
"invoiceId": "123ab",
"acknowledgedAt": "2022-08-01T20:03:28.483971941Z",
"attributes": {}
}
headers = {
"x-site-context": "<x-site-context>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-site-context': '<x-site-context>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
invoiceId: '123ab',
acknowledgedAt: '2022-08-01T20:03:28.483971941Z',
attributes: {}
})
};
fetch('https://prod01.oms.fabric.inc/api/v2/invoice/post/acknowledge', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Success"
}{
"message": "Bad Request"
}{
"message": "Invoice not found"
}{
"message": "Internal Server Error"
}Invoice
Acknowledge financial posting
Acknowledges financial posting for invoice ID
POST
/
invoice
/
post
/
acknowledge
Acknowledge financial posting
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The x-site-context header is a JSON object that contains information about the source you wish to pull from. The mandatory account is the 24 character identifier found in Copilot. The channel (Sales channel ID), stage (environment name), and date attributes can be used to further narrow the scope of your data source.
Example:
"{\"date\": \"2023-01-01T00:00:00.000Z\", \"channel\": 12, \"account\": \"1234abcd5678efgh9ijklmno\",\"stage\":\"production\"}"
Body
application/json
Response
Acknowledged financial posting
Financial posting acknowledgement response
Generic response
Example:
"Success"
Was this page helpful?
⌘I
